org.springframework.data.relational.core.sql

## Interface DeleteBuilder.BuildDelete

All Known Subinterfaces:
  DeleteBuilder.DeleteWhere, DeleteBuilder.DeleteWhereAndOr

Enclosing interface:
  DeleteBuilder

    public static interface DeleteBuilder.BuildDelete

Interface exposing the `Delete` build method.

### Method Summary

All Methods Instance Methods Abstract Methods
`Delete` `build()` Build the `Delete` statement and verify basic relationship constraints such as all referenced columns have a `FROM` table import.

### Method Detail

#### build

    Delete build()

Build the `Delete` statement and verify basic relationship constraints such as all referenced columns have a `FROM` table import.

Returns:
  the build and immutable `Delete` statement.